lv.lumii.layoutengine

## Enum Line.LineType

- java.lang.Object
- - java.lang.Enum<Line.LineType>
  - - lv.lumii.layoutengine.Line.LineType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Line.LineType>
  Enclosing class:
    Line

      public static enum Line.LineType
      extends java.lang.Enum<Line.LineType>

  Defines the line type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORTHOGONAL` Each line segment of this type is parallel to one of the coordinate axis.
    `POLYLINE` Connects any list of points.
    `SPLINE` A curved line based on the stored points.
    `STRAIGHT` Line connecting two points with a straight segment.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Line.LineType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Line.LineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRAIGHT

          public static final Line.LineType STRAIGHT

      Line connecting two points with a straight segment.

    - #### ORTHOGONAL

          public static final Line.LineType ORTHOGONAL

      Each line segment of this type is parallel to one of the coordinate axis.

    - #### POLYLINE

          public static final Line.LineType POLYLINE

      Connects any list of points.

    - #### SPLINE

          public static final Line.LineType SPLINE

      A curved line based on the stored points.

  - ### Method Detail

    - #### values

          public static Line.LineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Line.LineType c : Line.LineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Line.LineType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null